SVNConflictResult (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.SVNConflictResult class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNConflictResult

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNConflictResult

public class SVNConflictResult
extends Object

The SVNConflictResult represents the decision of the user's `conflict handler` regarding a conflict situation.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNConflictResult(SVNConflictChoice conflictChoice, File mergedFile)` Creates a new `SVNConflictChoice` object.

Method Summary
`SVNConflictChoice` | `getConflictChoice()` Returns the conflict handler's choice.
`File` | `getMergedFile()` Returns the file with the merge result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNConflictResult

    public SVNConflictResult(SVNConflictChoice conflictChoice,
                             File mergedFile)

  Creates a new `SVNConflictChoice` object.

Parameters:
  `conflictChoice` - way that the conflict should be resolved in
  `mergedFile` - file containing the merge result

Method Detail

### getConflictChoice

    public SVNConflictChoice getConflictChoice()

  Returns the conflict handler's choice. This way implementor can manage conflicts providing a choice object defining what to do with the conflict.

  Returns:
    conflict choice

### getMergedFile

    public File getMergedFile()

  Returns the file with the merge result.

  Usually this will be the `result file` obtained by the user's `conflict handler` from the `description`'s `merge file set` object.

  Returns:
    merged file

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.